\name{denoisecv}
\alias{denoisecv}
\title{Selecting parameters of for denoising 3-D images}
\description{
  Selection of parameters by CV method
}
\usage{
denoisecv(g,n1,n2,n3,h_star,h)
}
\arguments{
  \item{g}{a column vector representing intesities of the pixels of noisy image, of type \code{"numeric"}.}
  \item{n1}{a scalar of type \code{"numeric"}. It denotes the number of pixels along x-axis.}
  \item{n2}{a scalar of type \code{"numeric"}. It denotes the number of pixels along y-axis.}
  \item{n3}{a scalar of type \code{"numeric"}. It denotes the number of pixels along z-axis.}
  \item{h_star}{a scalar of type \code{"numeric"}. It is the badwidth parameter for edge detection.}
  \item{h}{a scalar of type \code{"numeric"}. It is the bandwidth parameter for smoothing.}
}
\value{
 \item{}{CV-score.}
}
\examples{
 n1 <- 64
 n2 <- 64
 n3 <- 64
 z <- rep(0,n1*n2*n3)
 for (i in 1:n1){ for (j in 1:n2){ for (k in 1:n3){
 z[(i-1)*n2*n3+(j-1)*n3+k] <- -(i/n1-0.5)^2 -(j/n2-0.5)^2 -(k/n3-0.5)^2
 if (  ((abs(i/n1-0.5)<=0.25) & (abs(j/n2-0.5)<=0.25) & (abs(k/n3-0.5)<=0.25)) )
 {z[(i-1)*n2*n3+(j-1)*n3+k] <- -(i/n1-0.5)^2 -(j/n2-0.5)^2 -(k/n3-0.5)^2 + 1}
 if ( (((i/n1-0.5)^2+(j/n2-0.5)^2 <=0.15^2) & (abs(k/n3-0.5)<=0.35))  )
 {z[(i-1)*n2*n3+(j-1)*n3+k] <- -(i/n1-0.5)^2 -(j/n2-0.5)^2 -(k/n3-0.5)^2 + 1}
 }}}

 ntemp <- n1*n2*n3
 g <- rep(0,ntemp)
 for (i in 1:ntemp){
 g[i] <- z[i] + rnorm(1,0,0.1)
 }

 result <- denoisecv(g,64,64,64,0.023,0.023)
 result

}
\keyword{misc}
